# ``twisted`.`conch`.`manhole_tap`.`_StupidRealm``

class documentation

`class _StupidRealm: (source)`

Implements interfaces: `twisted.cred.portal.IRealm`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `requestAvatar` | Return avatar which provides one of the given interfaces.
Instance Variable | `protocolArgs` | Undocumented
Instance Variable | `protocolFactory` | Undocumented
Instance Variable | `protocolKwArgs` | Undocumented

def __init__(self, proto, *a, **kw): (source)

Undocumented

def requestAvatar(self, avatarId, *interfaces): (source)
from `twisted.cred.portal.IRealm`
Return avatar which provides one of the given interfaces.

Parameters
avatarId | a string that identifies an avatar, as returned by `ICredentialsChecker.requestAvatarId` (via a Deferred). Alternatively, it may be `twisted.cred.checkers.ANONYMOUS`.
*interfaces | the interface(s) the returned avatar should implement, e.g. `IMailAccount`. See the description of `Portal.login`.
mind | usually None. See the description of mind in `Portal.login`.
Returns
a deferred which will fire a tuple of (interface, avatarAspect, logout), or the tuple itself. The interface will be one of the interfaces passed in the 'interfaces' argument. The 'avatarAspect' will implement that interface. The 'logout' object is a callable which will detach the mind from the avatar.

protocolArgs = (source)

Undocumented

protocolFactory = (source)

Undocumented

protocolKwArgs = (source)

Undocumented